## cyclonedds 0.8.1

=== CMakeLists.txt ===
#
# Copyright(c) 2006 to 2019 ADLINK Technology Limited and others
#
# This program and the accompanying materials are made available under the
# terms of the Eclipse Public License v. 2.0 which is available at
# http://www.eclipse.org/legal/epl-2.0, or the Eclipse Distribution License
# v. 1.0 which is available at
# http://www.eclipse.org/org/documents/edl-v10.php.
#
# SPDX-License-Identifier: EPL-2.0 OR BSD-3-Clause
#
cmake_minimum_required(VERSION 3.7)
project(CycloneDDS VERSION 0.8.1 LANGUAGES C)
if(CMAKE_VERSION VERSION_LESS 3.12)
  # GENERATE_EXPORT_HEADER requires a C++ compiler up to version 3.12
  enable_language(CXX)
endif()

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

if(CMAKE_CROSSCOMPILING)
  set(not_crosscompiling OFF)
else()
  set(not_crosscompiling ON)
endif()

# By default don't treat warnings as errors, else anyone building it with a different compiler that
# just happens to generate a warning, as well as anyone adding or modifying something and making a
# small mistake would run into errors.  CI builds can be configured differently.
option(WERROR "Treat compiler warnings as errors" OFF)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/Modules")

option(BUILD_IDLC "Build IDL preprocessor" ${not_crosscompiling})
option(BUILD_DDSCONF "Build DDSCONF buildtool" ${not_crosscompiling})


set(CMAKE_C_STANDARD 99)
if(CMAKE_SYSTEM_NAME STREQUAL "VxWorks")
  add_definitions(-std=c99)
endif()

if(${CMAKE_C_COMPILER_ID} STREQUAL "SunPro")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -m64 -xc99 -D__restrict=restrict -D__deprecated__=")
  set(CMAKE_LINKER_FLAGS "${CMAKE_LINKER_FLAGS} -m64")
elseif(CMAKE_SYSTEM_NAME STREQUAL "SunOS")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -m64")
  set(CMAKE_LINKER_FLAGS "${CMAKE_LINKER_FLAGS} -m64")
endif()

# Homebrew
if(APPLE)
  # Hint Homebrew prefixes to find_* commands. Use of CMAKE_PREFIX_PATH is
  # required because full signature mode for find_package implies Config mode.
  find_program(brew NAMES brew)
  if (brew)
    foreach(formula bison)
      execute_process(
        COMMAND ${brew} --prefix ${formula}
        OUTPUT_VARIABLE prefix
        ERROR_QUIET)
      string(STRIP "${prefix}" prefix)
      if(EXISTS "${prefix}")
        # Append to ensure user specified paths come first.
        set(CMAKE_PREFIX_PATH "${CMAKE_PREFIX_PATH};${prefix}")
      endif()
    endforeach()
  endif()
endif()

# Conan
if(EXISTS "${CMAKE_BINARY_DIR}/conanbuildinfo.cmake")
  include(${CMAKE_BINARY_DIR}/conanbuildinfo.cmake)
  if(APPLE)
    # By default Conan strips all RPATHs (see conanbuildinfo.cmake), which
    # causes tests to fail as the executables cannot find the library target.
    # By setting KEEP_RPATHS, Conan does not set CMAKE_SKIP_RPATH and the
    # resulting binaries still have the RPATH information. This is fine because
    # CMake will strip the build RPATH information in the install step.
    #
    # NOTE:
    # Conan's default approach is to use the "imports" feature, which copies
    # all the dependencies into the bin directory. Of course, this doesn't work
    # quite that well for libraries generated in this Project (see Conan
    # documentation).
    #
    # See the links below for more information.
    # https://github.com/conan-io/conan/issues/337
    # https://docs.conan.io/en/latest/howtos/manage_shared_libraries/rpaths.html
    # https://gitlab.kitware.com/cmake/community/wikis/doc/cmake/RPATH-handling
    conan_basic_setup(KEEP_RPATHS)
  else()
    conan_basic_setup()
  endif()
  conan_define_targets()
endif()

# Set reasonably strict warning options for clang, gcc, msvc
# Enable coloured ouput if Ninja is used for building
if("${CMAKE_C_COMPILER_ID}" STREQUAL "Clang" OR
   "${CMAKE_C_COMPILER_ID}" STREQUAL "AppleClang")
  #message(STATUS clang)
  set(wflags "-Wall"
             "-Wextra"
             "-Wconversion"
             "-Wunused"
             "-Wmissing-prototypes"
             "-Winfinite-recursion"
             "-Wassign-enum"
             "-Wcomma"
             "-Wmissing-prototypes"
             "-Wdocumentation"
             "-Wstrict-prototypes"
             "-Wconditional-uninitialized"
             "-Wshadow")
  add_compile_options(${wflags})
  if(${WERROR})
    add_compile_options(-Werror)
  endif()
  if("${CMAKE_GENERATOR}" STREQUAL "Ninja")
    add_compile_options(-Xclang -fcolor-diagnostics)
  endif()
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "GNU")
  #message(STATUS gcc)
  add_compile_options(-Wall -Wextra -Wconversion -Wmissing-prototypes)
  if(${WERROR})
    add_compile_options(-Werror)
  endif()
  if("${CMAKE_GENERATOR}" STREQUAL "Ninja")
    add_compile_options(-fdiagnostics-color=always)
  endif()
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "MSVC")
  #message(STATUS msvc)
  add_compile_options(/W3)
  if(${WERROR})
    add_compile_options(/WX)
  endif()
endif()

# I don't know how to enable warnings properly so that they are enabled in Xcode projects as well
if(${CMAKE_GENERATOR} STREQUAL "Xcode")
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_EMPTY_BODY YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_SHADOW YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_BOOL_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_CONSTANT_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_64_TO_32_BIT_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_ENUM_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_FLOAT_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_INT_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_NON_LITERAL_NULL_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_IMPLICIT_SIGN_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_INFINITE_RECURSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_INITIALIZER_NOT_FULLY_BRACKETED YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_ABOUT_RETURN_TYPE YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_MISSING_PARENTHESES YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_ABOUT_MISSING_FIELD_INITIALIZERS YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_ABOUT_MISSING_NEWLINE YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_ASSIGN_ENUM YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_SEMICOLON_BEFORE_METHOD_BODY YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_SIGN_COMPARE YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_STRICT_PROTOTYPES YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_COMMA YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_SUSPICIOUS_IMPLICIT_CONVERSION YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_UNINITIALIZED_AUTOS YES_AGGRESSIVE)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_UNUSED_FUNCTION YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_UNUSED_LABEL YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_UNUSED_PARAMETER YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_UNUSED_VALUE YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_UNUSED_VARIABLE YES)
  set (CMAKE_XCODE_ATTRIBUTE_CLANG_WARN_DOCUMENTATION_COMMENTS YES)
  set (CMAKE_XCODE_ATTRIBUTE_GCC_WARN_ABOUT_MISSING_PROTOTYPES YES)
endif()

if(CMAKE_VERSION VERSION_LESS 3.13)
  macro(add_link_options)
    link_libraries(${ARGV})
  endmacro()
endif()

# Make it easy to enable MSVC, Clang's/gcc's analyzers
set(ANALYZER "" CACHE STRING "Analyzer to enable on the build.")
if(ANALYZER)
  # GCC and Visual Studio offer builtin analyzers. Clang supports static
  # analysis through separate tools, e.g. Clang-Tidy, which can be used in
  # conjunction with other compilers too. Specifying -DANALYZER=on enables
  # the builtin analyzer for the compiler, enabling clang-tidy in case of
  # Clang. Specifying -DANALYZER=clang-tidy always enables clang-tidy.
  string(REPLACE " " "" ANALYZER "${ANALYZER}")
  string(TOLOWER "${ANALYZER}" ANALYZER)
  if(CMAKE_C_COMPILER_ID MATCHES "Clang" AND ANALYZER STREQUAL "on")
    set(ANALYZER "clang-tidy")
  endif()

  if(ANALYZER STREQUAL "clang-tidy")
    # Clang-Tidy is an extensible tool that offers more than static analysis.
    # https://clang.llvm.org/extra/clang-tidy/checks/list.html
    message(STATUS "Enabling analyzer: clang-tidy")
    set(CMAKE_C_CLANG_TIDY "clang-tidy;-checks=-*,clang-analyzer-*,-clang-analyzer-security.insecureAPI.strcpy")
    if(WERROR)
      set(CMAKE_C_CLANG_TIDY "${CMAKE_C_CLANG_TIDY};--warnings-as-errors=*")
    endif()
  elseif(ANALYZER STREQUAL "on")
    if(CMAKE_C_COMPILER_ID STREQUAL "GNU")
      if(CMAKE_C_COMPILER_VERSION VERSION_GREATER_EQUAL "10")
        message(STATUS "Enabling analyzer: GCC")
        # -Wanalyzer-malloc-leak generates lots of false positives
        add_compile_options(-fanalyzer -Wno-analyzer-malloc-leak)
      endif()
    endif()
  endif()
endif()
set(SANITIZER "" CACHE STRING "Sanitizers to enable on the build.")
if(SANITIZER)
  string(REGEX REPLACE " " "" SANITIZER "${SANITIZER}")
  string(REGEX REPLACE "[,;]+" ";" SANITIZER "${SANITIZER}")
  foreach(san ${SANITIZER})
    if(san STREQUAL "address")
      add_compile_options("-fno-omit-frame-pointer")
      add_link_options("-fno-omit-frame-pointer")
    endif()
    if(san AND NOT san STREQUAL "none")
      message(STATUS "Enabling sanitizer: ${san}")
      add_compile_options("-fsanitize=${san}")
      add_link_options("-fsanitize=${san}")
    endif()
  endforeach()
endif()

find_package(codecov)
set(MEMORYCHECK_COMMAND_OPTIONS "--track-origins=yes --leak-check=full --trace-children=yes --child-silent-after-fork=yes --xml=yes --xml-file=TestResultValgrind_%p.xml --tool=memcheck --show-reachable=yes --leak-resolution=high")

# By default building the testing tree is enabled by including CTest, but
# since not everybody has CUnit, and because it is not strictly required to
# build the product itself, switch to off by default.
option(BUILD_TESTING "Build the testing tree." OFF)

# Disable building examples by default because it is not strictly required.
option(BUILD_EXAMPLES "Build examples." OFF)

option(BUILD_DOCS "Build documentation." OFF)
option(BUILD_SCHEMA "Build generated schema for configuration options." ${not_crosscompiling})

# Build all executables and libraries into the top-level /bin and /lib folders.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/lib")

include(CMakePackageConfigHelpers)
include(GNUInstallDirs)
include(CTest)

if(APPLE)
  set(CMAKE_INSTALL_RPATH "@loader_path/../${CMAKE_INSTALL_LIBDIR}")
else()
  set(CMAKE_INSTALL_RPATH "$ORIGIN/../${CMAKE_INSTALL_LIBDIR}")
endif()

if(MINGW)
  # Require at least Windows 7
  add_definitions(-D_WIN32_WINNT=_WIN32_WINNT_WIN7)
  add_definitions(-DNTDDI_VERSION=NTDDI_WIN7)
  add_definitions(-D__USE_MINGW_ANSI_STDIO=1) # prefer C99 conformance
  # Do not prefix libraries with "lib"
  set(CMAKE_SHARED_LIBRARY_PREFIX "")
  set(CMAKE_STATIC_LIBRARY_PREFIX "")
endif()

set(CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

# Generate <Package>Config.cmake
configure_package_config_file(
  "PackageConfig.cmake.in"
  "${PROJECT_NAME}Config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_CMAKEDIR}")

# Generate <Package>Version.cmake
write_basic_package_version_file(
  "${PROJECT_NAME}ConfigVersion.cmake"
  VERSION ${PROJECT_VERSION}
  COMPATIBILITY SameMajorVersion)

install(
  FILES "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
  DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"
  COMPONENT dev)

# Generate <Package>Targets.cmake
install(
  EXPORT ${PROJECT_NAME}
  FILE "${PROJECT_NAME}Targets.cmake"
  NAMESPACE "${PROJECT_NAME}::"
  DESTINATION "${CMAKE_INSTALL_CMAKEDIR}"

=== debian/changelog ===
cyclonedds (0.8.1-2) unstable; urgency=medium

  * Upload to unstable
  * Improve package descriptions
  * Disable debug code
  * Add pkg-config file
  * Enable LTO

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Oct 2021 10:34:31 +0200

cyclonedds (0.8.1-1) experimental; urgency=medium

  * New upstream version 0.8.1
  * Bump Standards-Version to 4.6.0 (no changes)
  * New binary package names
    - New shared library libcycloneddsidl
    - Create combined devel package cyclonedds-dev
      for libddsc and libcycloneddsidl
    - Rename doc package to cyclonedds-doc for consistency
  * Make package cross-compilable
  * Transfer package to Debian Robotics Team

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Oct 2021 12:41:08 +0200

cyclonedds (0.7.0-8) unstable; urgency=medium

  * Set symlink for sphinx _static folder after dh_sphinxdoc (Closes: #988820)
  * Update maintainer email address

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Aug 2021 21:37:12 +0200

=== debian/control ===
Source: cyclonedds
Section: libs
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
               bison,
               cmake,
               cyclonedds-tools <cross>,
               dh-sequence-sphinxdoc <!nodoc>,
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libcunit1-dev <!nocheck>,
               libssl-dev,
               python3-breathe:native <!nodoc>,
               python3-exhale <!nodoc>,
               python3-sphinx:native <!nodoc>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://projects.eclipse.org/projects/iot.cyclonedds
Vcs-Git: https://salsa.debian.org/robotics-team/cyclonedds.git
Vcs-Browser: https://salsa.debian.org/robotics-team/cyclonedds

Package: libddsc0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Eclipse Cyclone DDS library
 Eclipse Cyclone DDS is a very performant and robust open-source
 implementation of the Data Distribution Service (DDS) standard by the
 Object Management Group (OMG) and the related wire protocol for
 interoperability (RTPS). It is developed completely in the open as an
 Eclipse IoT project with a growing list of adopters, and has become a
 tier-1 middleware for the Robot Operating System (ROS 2).

Package: libcycloneddsidl0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Eclipse Cyclone DDS IDL library
 Eclipse Cyclone DDS is a very performant and robust open-source
 implementation of the Data Distribution Service (DDS) standard by the
 Object Management Group (OMG) and the related wire protocol for
 interoperability (RTPS). It is developed completely in the open as an
 Eclipse IoT project with a growing list of adopters, and has become a
 tier-1 middleware for the Robot Operating System (ROS 2).
 .
 This package provides the Interface Definition Language (IDL) compiler
 library. IDL is used to specify data exchange formats for participants
 in a DDS network.

Package: cyclonedds-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Recommends: cyclonedds-tools
Depends: ${misc:Depends},
         libddsc0 (= ${binary:Version}),
         libcycloneddsidl0 (= ${binary:Version}),
Breaks: libddsc-dev (<< 0.8.1-1)
Replaces: libddsc-dev (<< 0.8.1-1)
Description: Eclipse Cyclone DDS library - development headers
 Eclipse Cyclone DDS is a very performant and robust open-source
 implementation of the Data Distribution Service (DDS) standard by the
 Object Management Group (OMG) and the related wire protocol for
 interoperability (RTPS). It is developed completely in the open as an
 Eclipse IoT project with a growing list of adopters, and has become a
 tier-1 middleware for the Robot Operating System (ROS 2).
 .
 This package installs the development headers.

Package: cyclonedds-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Breaks: libddsc-doc (<< 0.8.1-1)
Replaces: libddsc-doc (<< 0.8.1-1)
Description: Eclipse Cyclone DDS library - API documentation
 Eclipse Cyclone DDS is a very performant and robust open-source
 implementation of the Data Distribution Service (DDS) standard by the
 Object Management Group (OMG) and the related wire protocol for
 interoperability (RTPS). It is developed completely in the open as an
 Eclipse IoT project with a growing list of adopters, and has become a
 tier-1 middleware for the Robot Operating System (ROS 2).
 .
 This package installs the API documentation.

Package: cyclonedds-tools
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libddsc-tools (<< 0.8.1-1)
Replaces: libddsc-tools (<< 0.8.1-1)
Description: Eclipse Cyclone DDS tools
 Eclipse Cyclone DDS is a very performant and robust open-source
 implementation of the Data Distribution Service (DDS) standard by the
 Object Management Group (OMG) and the related wire protocol for
 interoperability (RTPS). It is developed completely in the open as an
 Eclipse IoT project with a growing list of adopters, and has become a
 tier-1 middleware for the Robot Operating System (ROS 2).
 .
 This package installs the command-line tools for Cyclone DDS, most
 importantly the Interface Definition Language (IDL) compiler, which is
 needed to specify data exchange formats for the participants in a DDS
 network.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all future=+lfs
export DEB_CFLAGS_MAINT_APPEND = -DNDEBUG

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

BUILD_TESTING = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
BUILD_DOCS = $(if $(filter nodoc,$(DEB_BUILD_OPTIONS)),OFF,ON)

DDS_PLUGINS_DIR = lib/$(DEB_HOST_MULTIARCH)/libddsc0

# TODO: compile-time check would be better than this hardcoded architecture list
LINK_LIBATOMIC = $(if $(filter s390x,$(DEB_HOST_ARCH)),ON,OFF)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DBUILD_DOCS=$(BUILD_DOCS) \
		-DBUILD_TESTING=OFF \
		-DBUILD_EXAMPLES=$(BUILD_DOCS) \
		-DBUILD_IDLC=ON \
		-DENABLE_TYPE_DISCOVERY=ON \
		-DENABLE_TOPIC_DISCOVERY=ON \
		-DCMAKE_C_VISIBILITY_PRESET=hidden \
		-DDDS_PLUGINS_DIR=$(DDS_PLUGINS_DIR) \
		-DDEB_LINK_LIBATOMIC=$(LINK_LIBATOMIC)

# Inject LD_LIBRARY_PATH on selected targets so we do not need RPATHs
override_dh_auto_build:
	env LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/lib \
		dh_auto_build

# Disable flaky and long-running test suite
override_dh_auto_test:
#	cd obj-$(DEB_HOST_GNU_TYPE) && \
#	env LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/lib \
#		ctest --force-new-ctest-process -j1

doc_dir = debian/tmp/usr/share/doc/CycloneDDS
execute_after_dh_auto_install:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	mv $(doc_dir)/manual/docs $(doc_dir)/manual/html
endif

# Ignore plugins when generating the symbols file
override_dh_makeshlibs:
	dh_makeshlibs -X/$(DDS_PLUGINS_DIR)/

execute_before_dh_installman: debian/ddsconf.1 debian/ddsperf.1 debian/idlc.1 debian/pubsub.1
	true

override_dh_installdocs:
	dh_installdocs -pcyclonedds-doc --doc-main-package=cyclonedds-dev
	dh_installdocs -Ncyclonedds-doc

cyclonedds_doc_dir = debian/cyclonedds-doc/usr/share/doc/cyclonedds-dev
execute_after_dh_sphinxdoc-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# Reuse _static files from main documentation
	rm -r $(cyclonedds_doc_dir)/examples/html/_static
	ln -s ../../html/_static $(cyclonedds_doc_dir)/examples/html/_static
endif

%.1: %.1.in
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/g' $< > $@
